> For the complete documentation index, see [llms.txt](https://docs.easy.gg/scripting/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.easy.gg/scripting/bedwars-scripting/events/weaponswing.md).

# WeaponSwing

Example usage:

```lua
Events.WeaponSwing(function(event)
    if (event.weapon == ItemType.LASER_SWORD) then
        ItemService.dropItem(ItemType.COSMIC_LUCKY_BLOCK, event.player:getEntity():getPosition())
    end
end)
```

### Parameters

#### player: [Player](/scripting/bedwars-scripting/objects/player.md)

The player that is swinging the weapon.

#### weapon: [ItemType](/scripting/bedwars-scripting/types/itemtype.md)

The ItemType of the weapon being swung.

#### hitEntity: [Entity](/scripting/bedwars-scripting/objects/entity.md) | nil

The entity that was hit by the sword swing (may not exist if the swing missed).

#### cancelled: bool <mark style="color:yellow;">\[modifiable]</mark>

If set to true, the weapon swing will be cancelled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/events/weaponswing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
